Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.database
Class BasicDatabaseFactory

    java.lang.Object
      |
      +--opencard.core.service.CardServiceFactory
            |
            +--opencard.opt.database.BasicDatabaseFactory

public class BasicDatabaseFactory
extends opencard.core.service.CardServiceFactory

This class is the implementation of a CardServiceFactory that provides access to a BasicDatabase CardService for a smartcard that is compliant with ISO7816-7.

Since:
  OCF1.2
See Also:
  `BasicDatabase.knows(opencard.core.terminal.CardID, opencard.core.service.CardServiceScheduler)`

Field Summary
`static int` | `DATABASE_CARDTYPE`

Constructor Summary
`BasicDatabaseFactory()`

Method Summary
`protected opencard.core.service.CardType` | `getCardType(opencard.core.terminal.CardID cid, opencard.core.service.CardServiceScheduler sched)`
`protected java.util.Enumeration` | `getClasses(opencard.core.service.CardType type)`

Methods inherited from class opencard.core.service.CardServiceFactory
`getCardServiceInstance, getClassFor, newCardServiceInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATABASE_CARDTYPE

    public static final int DATABASE_CARDTYPE

Constructor Detail

### BasicDatabaseFactory

    public BasicDatabaseFactory()

Method Detail

### getCardType

    protected opencard.core.service.CardType getCardType(opencard.core.terminal.CardID cid,
                                                         opencard.core.service.CardServiceScheduler sched)

  Overrides:
    getCardType in class opencard.core.service.CardServiceFactory

### getClasses

    protected java.util.Enumeration getClasses(opencard.core.service.CardType type)

  Overrides:
    getClasses in class opencard.core.service.CardServiceFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD